summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author JK Wood <joshuakwood@gmail.com>2014-07-16 18:35:30 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-07-16 18:35:30 +0700
commit99c453813805fe940e6b53412282a439084fc2c4 (patch)
tree48fa52331477a4b6f1d7f81c7b05d6bc6a862633 /ham
parentf134ec71e54180b11a7e9ae38f724f20e07c9f33 (diff)
downloadslackbuilds-99c453813805fe940e6b53412282a439084fc2c4.tar.gz
slackbuilds-99c453813805fe940e6b53412282a439084fc2c4.tar.xz
ham/psk31lx: Added (ncurses psk31 program for Linux).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/psk31lx/README13
-rw-r--r--ham/psk31lx/psk31lx.SlackBuild96
-rw-r--r--ham/psk31lx/psk31lx.info10
-rw-r--r--ham/psk31lx/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/ham/psk31lx/README b/ham/psk31lx/README
new file mode 100644
index 0000000000..c9f8f1208d
--- /dev/null
+++ b/ham/psk31lx/README
@@ -0,0 +1,13 @@
+PSK31LX was the first PSK31 program written for Linux, and its
+underlying PSK code is still used by many other clients.
+
+PSJ31LX uses ncurses instead of a graphical interface. That
+means you can run it in a terminal window. In fact, you don't
+even need to have the X window system running. It will run fine
+on a dumb terminal or a Linux system booted into single user mode.
+
+The program comes with a sample psk31lx.ini file. You can copy
+this to your home directory as .psk31lx.ini and make the
+configuration match your system.
+
+Versions after 1.2 require Pulseaudio.
diff --git a/ham/psk31lx/psk31lx.SlackBuild b/ham/psk31lx/psk31lx.SlackBuild
new file mode 100644
index 0000000000..fde167b32e
--- /dev/null
+++ b/ham/psk31lx/psk31lx.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+# Slackbuild for psk31lx
+# Written by JK Wood <joshuakwood@gmail.com>
+
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+# Oh, and feel free to copy it and modify it as you
+# see fit. Or as I see fit. Or as I fit. Although
+# that is unlikely, as I am rather tall.
+
+PRGNAM=psk31lx
+VERSION=${VERSION:-1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.src.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG${PKGTYPE:-.tgz}
diff --git a/ham/psk31lx/psk31lx.info b/ham/psk31lx/psk31lx.info
new file mode 100644
index 0000000000..eb862cd525
--- /dev/null
+++ b/ham/psk31lx/psk31lx.info
@@ -0,0 +1,10 @@
+PRGNAM="psk31lx"
+VERSION="1.2"
+HOMEPAGE="http://wa0eir.bcts.info/psk31lx.html"
+DOWNLOAD="http://wa0eir.bcts.info/src/psk31lx-1.2.src.tar.gz"
+MD5SUM="a90bf799315dd19f4a159a210820372f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"
diff --git a/ham/psk31lx/slack-desc b/ham/psk31lx/slack-desc
new file mode 100644
index 0000000000..2ac95da690
--- /dev/null
+++ b/ham/psk31lx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+psk31lx: psk31lx (ncurses psk31 program for Linux)
+psk31lx:
+psk31lx: psk31lx is an ncurses-based PKS31 program for Linux. Originally
+psk31lx: written by Hansi, DL9RDZ, this was the first PSK31 program written
+psk31lx: for Linux and its PSK code is still used by many other PSK31
+psk31lx: clients.
+psk31lx:
+psk31lx:
+psk31lx:
+psk31lx: Homepage: http://wa0eir.bcts.info/psk31lx.html
+psk31lx: